Attribute VB_Name = "modFileSystem"
Option Explicit

Public Enum FileTypes
  flt_File = 0
  flt_Folder = 1
  flt_Drive = 2
End Enum

Public Function isFileExist(ByVal strPath As String, Optional fltTemp As FileTypes = flt_File) As Boolean
  Dim objFileSYS As Object
  Set objFileSYS = CreateObject("Scripting.FileSystemObject")
        
  Select Case fltTemp
    Case 0: isFileExist = objFileSYS.FileExists(strPath)
    Case 1: isFileExist = objFileSYS.FolderExists(strPath)
    Case 2: isFileExist = objFileSYS.DriveExists(strPath)
  End Select
End Function

Public Function GetDirectory(ByVal strPath As String) As String
  While (Right(strPath, 1) <> "\")
    strPath = Mid(strPath, 1, Len(strPath) - 1)
  Wend
  GetDirectory = strPath
End Function

Public Function GetFile(ByVal strPath As String) As String
  Dim strName As String
  
  strName = ""
  While (Right(strPath, 1) <> "\")
    strName = Right(strPath, 1) + strName
    strPath = Mid(strPath, 1, Len(strPath) - 1)
  Wend
  GetFile = strName
End Function

Public Function DeleteExtention(ByVal strFileName As String) As String
  While (Right(strFileName, 1) <> ".")
    strFileName = Mid(strFileName, 1, Len(strFileName) - 1)
  Wend
  DeleteExtention = strFileName
End Function

Public Function GetReportFileName()
  Dim strRPTName As String
  
  strRPTName = App.Path
  If (Right(strRPTName, 1) <> "\") Then strRPTName = strRPTName + "\"
  strRPTName = strRPTName + "tm.rpt"
  GetReportFileName = strRPTName
End Function

Public Function OpenReportFile()
  Dim strName As String

  strName = GetReportFileName
  Open strName For Output As #10
  Print #10, "Thumbnail Maker 1.0"
  Print #10, "By: Ali Amirnezhad (amirnezhad@yahoo.com)"
  Print #10, "Source Directory: " + frmMain.dirSource.Path
  Print #10, "Target Directory: " + frmMain.dirTarget.Path
  Print #10, ""
  Print #10, "Start: " + CStr(Now)
  Print #10, ""
  Close #10
End Function

Public Function WriteReportData(ByVal strSource As String, ByVal strTarget As String)
  Dim strName As String

  strName = GetReportFileName
  Open strName For Append As #10
  Print #10, "=-=-=-=-=-="
  Print #10, "Source: " + strSource
  Print #10, "Target: " + strTarget
  Print #10, "=-=-=-=-=-="
  Print #10, ""
  Close #10
End Function

Public Function CloseReportFile()
  Dim strName As String

  strName = GetReportFileName
  Open strName For Append As #10
  Print #10, "End: " + CStr(Now)
  Close #10
End Function
